-----------------------------------------------------------------------------------------------------------------------	
--
--	CUTSCENE: "ATTACKSOLDIER"
--
-----------------------------------------------------------------------------------------------------------------------	

function Cutscene_ATTACKSOLDIER_Start()
	Interface_SetCinematicMode(1)
	
	Display.SetFogStartAndEnd (5000, 15000)
  	Display.SetRenderFog (1)
	Display.SetFarClipPlaneMinAndMax(0, 40000)  

	for i=1,11 do
  		CreateEntity(5, Entities.PU_LeaderSword4, GetPosition("CUTSCENE_MOVE_START_SOLDIER"..i), "SOLDIER"..i )
  	end
    
end


 
function Cutscene_ATTACKSOLDIER_Move01()     

	for i=1,11 do
--        SetPosition("SOLDIER"..i, GetPosition("CUTSCENE_MOVE_END_SOLDIER"..i))
        Move("SOLDIER"..i, "CUTSCENE_MOVE_END_SOLDIER"..i)
	end

end




function Cutscene_ATTACKSOLDIER_Text01()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_ATTACKSOLDIER_TEXT01")
	
end


function Cutscene_ATTACKSOLDIER_Text02()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_ATTACKSOLDIER_TEXT02")
	
end

-------------------------------------------------------------------------------------------------------------------------
function Cutscene_ATTACKSOLDIER_Cancel()
	Cutscene_ATTACKSOLDIER_Finished()	
		
end

-------------------------------------------------------------------------------------------------------------------------
function Cutscene_ATTACKSOLDIER_Finished()
	
	for i=1,11 do
		DestroyEntity("SOLDIER"..i)
	end
	
	Display.SetFarClipPlaneMinAndMax(0, 0) 
	
	Interface_SetCinematicMode(0)
	CutsceneDone()
		
end